net.sourceforge.jnlp

## Class ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.sourceforge.jnlp.ParseException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  RequiredElementException

    public class ParseException
    extends java.lang.Exception

Thrown to indicate that an error has occurred while parsing a JNLP file.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ParseException(java.lang.String message)` Create a parse exception with the specified message.
`ParseException(java.lang.String message, java.lang.Throwable cause)` Create a parse exception with the specified message and cause.

### Method Summary

Methods
`java.lang.Throwable` `getCause()` Return the cause of the launch exception or null if there is no cause exception.
`void` `printStackTrace(java.io.PrintStream stream)` Print the stack trace and the cause exception (1.3 compatible)
`void` `printStackTrace(java.io.PrintWriter stream)` Print the stack trace and the cause exception (1.3 compatible)

### Methods inherited from class java.lang.Throwable

`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParseException

    public ParseException(java.lang.String message)

Create a parse exception with the specified message.

#### ParseException

    public ParseException(java.lang.String message,
                  java.lang.Throwable cause)

Create a parse exception with the specified message and cause.

### Method Detail

#### getCause

    public java.lang.Throwable getCause()

Return the cause of the launch exception or null if there is no cause exception.

Overrides:
  `getCause` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace(java.io.PrintStream stream)

Print the stack trace and the cause exception (1.3 compatible)

Overrides:
  `printStackTrace` in class `java.lang.Throwable`

#### printStackTrace

    public void printStackTrace(java.io.PrintWriter stream)

Print the stack trace and the cause exception (1.3 compatible)

Overrides:
  `printStackTrace` in class `java.lang.Throwable`